www/p5-CGI-Fast - The NetBSD Packages Collection

CGI Interface for Fast CGI

CGI::Fast is a subclass of the CGI object created by CGI.pm. It is
specialized to work with the FCGI module, which greatly speeds up
CGI scripts by turning them into persistently running server
processes.  Scripts that perform time-consuming initialization
processes, such as loading large modules or opening persistent
database connections, will see large performance improvements.

Build dependencies

devel/p5-CPAN-Changes pkgtools/cwrappers

Runtime dependencies

www/p5-CGI www/p5-FCGI lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-CGI-Fast-2.15nb3.tgz
NetBSD 8.0earmv7hfp5-CGI-Fast-2.15nb2.tgz
NetBSD 8.0earmv7hfp5-CGI-Fast-2.15nb3.tgz
NetBSD 8.0i386p5-CGI-Fast-2.15nb2.tgz
NetBSD 8.0i386p5-CGI-Fast-2.15nb3.tgz
NetBSD 8.0powerpcp5-CGI-Fast-2.15nb2.tgz
NetBSD 8.0powerpcp5-CGI-Fast-2.15nb3.tgz
NetBSD 8.0powerpcp5-CGI-Fast-2.15nb3.tgz
NetBSD 8.0powerpcp5-CGI-Fast-2.15nb3.tgz
NetBSD 8.0x86_64p5-CGI-Fast-2.15nb2.tgz
NetBSD 8.0x86_64p5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0aarch64p5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0aarch64p5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0aarch64p5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0alphap5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0alphap5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0alphap5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0earmp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0earmp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0earmp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0earmv6hfp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0earmv6hfp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0earmv6hfp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0earmv7hfp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0earmv7hfp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0earmv7hfp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0earmv7hfp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0i386p5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0i386p5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0mips64ebp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0mips64ebp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0mips64ebp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0mips64ebp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0mips64ebp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0mipselp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0mipselp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0mipselp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0mipselp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0powerpcp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0powerpcp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0powerpcp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0powerpcp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0sh3elp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0sh3elp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0sh3elp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0sh3elp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0sparc64p5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0sparc64p5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0sparc64p5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0sparcp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0sparcp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0sparcp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0sparcp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0sparcp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0vaxp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0vaxp5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0vaxp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0vaxp5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0x86_64p5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0x86_64p5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0x86_64p5-CGI-Fast-2.15nb2.tgz
NetBSD 9.0x86_64p5-CGI-Fast-2.15nb3.tgz
NetBSD 9.0x86_64p5-CGI-Fast-2.15nb3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.